package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.Builder;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RoomListResponse {
    private Integer total;

    @JSONField(name = "next_start")
    private Integer nextStart;

    @JSONField(name = "roomList")
    private List<RoomInfo> roomList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Builder
    public static class RoomInfo {
        @JSONField(name = "room_id")
        private String roomId;

        @JSONField(name = "create_user_id")
        private Long createUserId;

        private String infoticket;

        @JSONField(name = "update_time")
        private Long updateTime;

        private Integer total;
        private Integer flag;

        @JSONField(name = "create_time")
        private Long createTime;

        private String nickname;

        @JSONField(name = "roomurl")
        private String roomUrl;
    }
}