package com.tzld.piaoquan.risk.control.service;

import com.tzld.piaoquan.risk.control.model.dto.Page;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatRoomDTO;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatUserInfo;

public interface WorkWechatService {
    Page<WorkWechatUserInfo> findUserInfoList(int pageSize, int currentPage, String phone);

    Page<WorkWechatRoomDTO> findChatRoomList(String uuid, int pageSize, int currentPage, String chatRoomName);

    void updateAutoRemoveUserStatus(WorkWechatRoomDTO param);

    boolean checkAutoRemoveUserStatusIsOpen(String roomId);
}
